<nav class="navbar navbar-default navbar-fixed-top navbar-custom">
  <div class="container-fluid">
    <div class="navbar-header">
      <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#main-navbar-right">
        <span class="sr-only">{{ i18n "toggleNavigation" }}</span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
      </button>
      <a class="navbar-brand" href="{{ "" | absLangURL }}">{{ .Site.Title }}</a>
    </div>

    <div class="row">
      <div class="collapse navbar-collapse" id="main-navbar-right">
        <ul class="nav navbar-nav navbar-right">
          {{ range .Site.Menus.main.ByWeight }}
            {{ if .HasChildren }}
              <li class="navlinks-container">
                <a class="navlinks-parent" href="javascript:void(0)">{{ .Name }}</a>
                <div class="navlinks-children">
                  {{ range .Children }}
                    <a href="{{ .URL | relLangURL }}">{{ .Name }}</a>
                  {{ end }}
                </div>
              </li>
            {{ else }}
              <li>
                <a title="{{ .Name }}" href="{{ .URL  | relLangURL }}">{{ .Name }}</a>
              </li>
            {{ end }}
          {{ end }}
        </ul>
      </div>
      <!--div class="collapse navbar-collapse" id="main-navbar-right">
        <ul class="nav navbar-nav navbar-right">
          {{ range .Site.Menus.main.ByWeight }}
            {{ if .HasChildren }}
              <li class="navlinks-container">
                <a class="navlinks-parent" href="javascript:void(0)">{{ .Name }}</a>
                <div class="navlinks-children">
                  {{ range .Children }}
                    <a href="{{ .URL | relLangURL }}">{{ .Name }}</a>
                  {{ end }}
                </div>
              </li>
            {{ else }}
              <li>
                <a title="{{ .Name }}" href="{{ .URL  | relLangURL }}">{{ .Name }}</a>
              </li>
            {{ end }}
          {{ end }}
        </ul>
      </div -->
    </div>

    <div class="avatar-container">
      <div class="avatar-img-border">
        {{ if isset .Site.Params "logo" }}
          <a title="{{ .Site.Title }}" href="{{ "" | absLangURL }}">
            <img class="avatar-img" src="{{ .Site.Params.logo | absURL }}" alt="{{ .Site.Title }}" />
          </a>
        {{ end }}
      </div>
    </div>

  </div>
</nav>

<!-- Search Modal -->
{{ if isset .Site.Params "gcse" }}
  <div id="modalSearch" class="modal fade" role="dialog">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal">&times;</button>
          <h4 class="modal-title">{{ i18n "gcseLabelLong" . }}</h4>
        </div>
        <div class="modal-body">
          <gcse:search></gcse:search>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-default" data-dismiss="modal">{{ i18n "gcseClose" }}</button>
        </div>
      </div>
    </div>
  </div>
{{ end }}
